from gi.repository import Gtk
from gi.repository import Gdk

def _destroy_cb(widget, data=None):
    Gtk.main_quit()

def __touch_event_cb(widget, event):
    print 'touch: ', event.type

def __button_release_event_cb(widget, event):
    print 'button release: ', event.button

def __motion_event_cb(widget, event):
    print 'motion: ', event.x, event.y, event.get_source_device().get_source()

window = Gtk.Window()
window.connect("destroy", _destroy_cb)
window.show()

box = Gtk.EventBox()
window.add(box)
box.show()

box.add_events(Gdk.EventMask.BUTTON_PRESS_MASK |
               Gdk.EventMask.TOUCH_MASK |
               Gdk.EventMask.POINTER_MOTION_MASK |
               Gdk.EventMask.BUTTON_RELEASE_MASK)

box.connect('button-release-event', __button_release_event_cb)
box.connect('touch-event', __touch_event_cb)
box.connect('motion-notify-event', __motion_event_cb)

Gtk.main()
